Bug 150636 - [Maintainer Update] audio/liquidsoap: update to 0.9.3-1
Summary: [Maintainer Update] audio/liquidsoap: update to 0.9.3-1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Wesley Shields
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-09-17 07:50 UTC by Mykola Dzham
Modified: 2010-10-31 20:20 UTC (History)
0 users

See Also:


Attachments
file.diff (9.20 KB, patch)
2010-09-17 07:50 UTC, Mykola Dzham
no flags Details | Diff
liquidsoap.patch (12.02 KB, patch)
2010-10-16 14:00 UTC, Steven Kreuzer
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mykola Dzham 2010-09-17 07:50:01 UTC
Update audio/liquidsoap to 0.9.3 bugfix release.
Use USERS & GROUPS variables for create required use and group (pkg-install.in is not required now)
Remove version from some patch file names: only update patch files required in future when version changed.

Fix: Use patch below.
Please remove
pkg-install.in patch-liquidsoap-0.9.2__Makefile patch-liquidsoap-0.9.2__Makefile.defs.in patch-liquidsoap-0.9.2__doc__Makefile patch-liquidsoap-0.9.2__examples__Makefile patch-ocaml-ao-0.1.10_src_ao__stubs.c
from files/ directory
Comment 1 Philip M. Gollucci freebsd_committer 2010-09-22 23:53:55 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pgollucci

I'll take it.
Comment 2 Philip M. Gollucci freebsd_committer 2010-09-24 07:24:33 UTC
Responsible Changed
From-To: pgollucci->freebsd-ports-bugs

going to have enotime for the next 2 weeks, sorry
Comment 3 Steven Kreuzer freebsd_committer 2010-09-25 03:06:59 UTC
Responsible Changed
From-To: freebsd-ports-bugs->skreuzer

I'll take it.
Comment 4 Steven Kreuzer freebsd_committer 2010-10-16 14:00:56 UTC
Can you take a look at this patch. I made a couple of changes:
Tinderbox logs can be found at http://clamps.exit2shell.com/tb/logs/8.1-FreeBSD/liquidsoap-0.9.3.log

Thanks
Comment 5 Mykola Dzham 2010-10-17 12:16:55 UTC
On this patch PORTVERSION is 0.9.3 (not 0.9.3.1, as on my patch).
So, RELVER can be removed completely: we can use %%PORTVERSION%%
directly in pkg-plist.
All other looks good.

Please do not forget to 
cvs add patch-liquidsoap-x.x.x__Makefile \
patch-liquidsoap-x.x.x__Makefile.defs.in \
patch-liquidsoap-x.x.x__doc__Makefile \
patch-liquidsoap-x.x.x__examples__Makefile \
patch-ocaml-ao-x.x.x_src_ao__stubs.c

Thanks!

-- 
LEFT-(UANIC|RIPE)
JID: levsha@jabber.net.ua
PGP fingerprint: 1BCD 7C80 2E04 7282 C944  B0E0 7E67 619E 4E72 9280
Comment 6 Wesley Shields freebsd_committer 2010-10-28 15:48:57 UTC
Responsible Changed
From-To: skreuzer->wxs

Grab from Steven with his permission.
Comment 7 dfilter service freebsd_committer 2010-10-31 20:11:55 UTC
wxs         2010-10-31 20:11:50 UTC

  FreeBSD ports repository

  Modified files:
    audio/liquidsoap     Makefile distinfo pkg-plist 
    audio/liquidsoap/files liquidsoap.sh.in 
  Added files:
    audio/liquidsoap/files patch-liquidsoap-0.9.3__Makefile 
                           patch-liquidsoap-0.9.3__Makefile.defs.in 
  Removed files:
    audio/liquidsoap/files patch-liquidsoap-0.9.2__Makefile 
                           patch-liquidsoap-0.9.2__Makefile.defs.in 
                           patch-liquidsoap-0.9.2__doc__Makefile 
                           patch-liquidsoap-0.9.2__examples__Makefile 
                           patch-ocaml-ao-0.1.10_src_ao__stubs.c 
                           pkg-install.in 
  Log:
  Update to 0.9.3
  
  PR:             ports/150636
  Submitted by:   Mykola Dzham <i@levsha.me> (maintainer)
  
  Revision  Changes    Path
  1.10      +16 -16    ports/audio/liquidsoap/Makefile
  1.2       +3 -3      ports/audio/liquidsoap/distinfo
  1.3       +0 -2      ports/audio/liquidsoap/files/liquidsoap.sh.in
  1.2       +0 -13     ports/audio/liquidsoap/files/patch-liquidsoap-0.9.2__Makefile (dead)
  1.3       +0 -18     ports/audio/liquidsoap/files/patch-liquidsoap-0.9.2__Makefile.defs.in (dead)
  1.2       +0 -25     ports/audio/liquidsoap/files/patch-liquidsoap-0.9.2__doc__Makefile (dead)
  1.3       +0 -10     ports/audio/liquidsoap/files/patch-liquidsoap-0.9.2__examples__Makefile (dead)
  1.1       +13 -0     ports/audio/liquidsoap/files/patch-liquidsoap-0.9.3__Makefile (new)
  1.1       +10 -0     ports/audio/liquidsoap/files/patch-liquidsoap-0.9.3__Makefile.defs.in (new)
  1.2       +0 -13     ports/audio/liquidsoap/files/patch-ocaml-ao-0.1.10_src_ao__stubs.c (dead)
  1.2       +0 -40     ports/audio/liquidsoap/files/pkg-install.in (dead)
  1.3       +241 -240  ports/audio/liquidsoap/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 8 Wesley Shields freebsd_committer 2010-10-31 20:11:57 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!